Autodesk Softimage

Order this plugin if you want to use ReelSmart Motion Blur from within Autodesk Softimage 4.0 or later.

See our "pricing and compatibility" subsection for ReelSmart Motion Blur on our website for any questions about licensing policy or pricing questions.